Skip to main content
POST
/
unified
/
accounting
/
companies
/
{id}
/
journals
Create Journal
curl --request POST \
  --url https://api.stackone.com/unified/accounting/companies/{id}/journals \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'x-account-id: <x-account-id>' \
  --data '
{
  "reference": "JRN-2024-001",
  "memo": "Monthly closing entries",
  "currency_code": {
    "value": "USD",
    "source_value": "USD"
  },
  "exchange_rate": 1,
  "transaction_date": "2024-03-20T10:00:00Z",
  "lines": [
    {
      "account_id": "acc_123456789",
      "description": "Payment for office supplies",
      "amount": 10010,
      "tax_rate_id": "tax_123456789",
      "tax_amount": 10010
    }
  ]
}
'
import requests

url = "https://api.stackone.com/unified/accounting/companies/{id}/journals"

payload = {
"reference": "JRN-2024-001",
"memo": "Monthly closing entries",
"currency_code": {
"value": "USD",
"source_value": "USD"
},
"exchange_rate": 1,
"transaction_date": "2024-03-20T10:00:00Z",
"lines": [
{
"account_id": "acc_123456789",
"description": "Payment for office supplies",
"amount": 10010,
"tax_rate_id": "tax_123456789",
"tax_amount": 10010
}
]
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reference: 'JRN-2024-001',
memo: 'Monthly closing entries',
currency_code: {value: 'USD', source_value: 'USD'},
exchange_rate: 1,
transaction_date: '2024-03-20T10:00:00Z',
lines: [
{
account_id: 'acc_123456789',
description: 'Payment for office supplies',
amount: 10010,
tax_rate_id: 'tax_123456789',
tax_amount: 10010
}
]
})
};

fetch('https://api.stackone.com/unified/accounting/companies/{id}/journals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusCode": 201,
  "message": "Record created successfully.",
  "timestamp": "2021-01-01T01:01:01.000Z",
  "data": {
    "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
    "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3"
  }
}
{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}
{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Body

application/json
reference
string | null

Reference number for the journal

Example:

"JRN-2024-001"

memo
string | null

Memo or description for the journal

Example:

"Monthly closing entries"

currency_code
object | null

Currency code for the journal and all lines

exchange_rate
number | null

Exchange rate to company base currency to apply to all lines

Example:

1

transaction_date
string<date-time> | null

Date of the journal transaction

Example:

"2024-03-20T10:00:00Z"

lines
object[] | null

List of journal lines

Response

The journal was created successfully.

statusCode
number
required
Example:

201

message
string
required
Example:

"Record created successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"

data
object
required